# Onsite Widgets (Classic)

{% hint style="warning" %}
You are reading the **Classic Widget Documentation**

Classic widgets are a previous widget version for onsite widgets created before September 23rd.

From September 23rd 2025, all new widgets created will be NextGen.

Please check your widget version on the **Widget List page** to see if it is **Classic** or **NextGen** widget.

Read the [Nextgen widget documentation here](/ugc/guides/widgets-nextgen.md).
{% endhint %}

UGC Widgets a full templating framework, as well as custom HTML, JavaScript, and CSS capabilities for developers to add their own layouts, transitioning, data management and so much more.

## Introduction

Widgets have powerful customization features. This guide will show you the ropes.

[How-To Info](/ugc/guides.md)

## API Reference

After the JavaScript API details? Great — head over here with a large cup of coffee in hand.

[API Reference for Blank Canvas Widget](https://web.archive.org/web/20230130210023/https://developer.stackla.com/api-docs/javascript/widgets/reference/blank-canvas)\
[API Reference for Map Widget](https://web.archive.org/web/20230130210023/https://developer.stackla.com/api-docs/javascript/widgets/reference/map-widget)\
[API Reference for all other Widgets](https://web.archive.org/web/20230130210023/https://developer.stackla.com/api-docs/javascript/widgets/reference/)

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/ugc/api-docs/javascript/widgets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
